
%global meadversion 20191001.1.0
%global namedversion 20191001.1.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package owasp-java-html-sanitizer}
%{!?scl:%global pkg_name %{name}}

%define maven_version 20191001.1.0.redhat-00001

Name:           %{?scl_prefix}owasp-java-html-sanitizer
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OWASP Java Html Sanitizer
Group:          Development/Java

%if %with mead
Source100: owasp-java-html-sanitizer-20191001.1.0.redhat-00001-project-sources.tar.gz
Source102: owasp-java-html-sanitizer-20191001.1.0.redhat-00001.pom
Source103: parent-20191001.1.0.redhat-00001.pom
Source104: owasp-java-html-sanitizer-20191001.1.0.redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/OWASP/java-html-sanitizer
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
HTML Sanitizer written in Java which lets you include HTML authored by third-parties in your
web application while protecting against XSS.

%if %with javadoc
%package javadoc
Summary:        Javadoc for OWASP Java Html Sanitizer
Group:          Development/Java

BuildRequires:  unzip
BuildRequires:  tar

%description javadoc
%{summary}.
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/owasp-java-html-sanitizer-%{namedversion}.jar %{buildroot}%{_javadir}/owasp-java-html-sanitizer-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/owasp-java-html-sanitizer-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/owasp-java-html-sanitizer-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/owasp-java-html-sanitizer-%{namedversion}-project-sources.tar.gz %{buildroot}%{_javadir}/owasp-java-html-sanitizer-%{namedversion}-project-sources.tar.gz
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)
tar xvfz %{_sourcedir}/owasp-java-html-sanitizer-%{namedversion}-project-sources.tar.gz --exclude=owasp*/*/COPYING --strip-components=1 owasp*/COPYING owasp*/README.md

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/owasp-java-html-sanitizer-%{namedversion}
unzip -qq %{_sourcedir}/owasp-java-html-sanitizer-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/owasp-java-html-sanitizer-%{namedversion} -x META-INF/\*
%{__ln_s} owasp-java-html-sanitizer-%{namedversion} %{buildroot}%{_javadocdir}/owasp-java-html-sanitizer
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}owasp-java-html-sanitizer
%defattr(0644,root,root,0755)
%doc COPYING README.md
%{_javadir}/owasp-java-html-sanitizer-%{namedversion}.jar
%{_javadir}/owasp-java-html-sanitizer.jar
%if %with javadoc
%{_javadir}/owasp-java-html-sanitizer-%{namedversion}-javadoc.jar
%{_javadir}/owasp-java-html-sanitizer-javadoc.jar
%endif
%{_javadir}/owasp-java-html-sanitizer-%{namedversion}-project-sources.tar.gz
%{_javadir}/owasp-java-html-sanitizer-project-sources.tar.gz

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/owasp-java-html-sanitizer-%{namedversion}
%{_javadocdir}/owasp-java-html-sanitizer
%endif

%changelog
* Mon Mar 09 2020 Martin Kanis <mkanis@redhat.com> - 20191001.1.0-1.redhat_00001.1
- Upgrade to 20191001.1.0.redhat-00001

* Fri Dec 07 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-4.redhat_00002.1
- rebuild with removed guava

* Thu Dec 06 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-3.redhat_00002.1
- wrong tag re-submitting

* Thu Dec 06 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-3.redhat_00002.1
- missing SCL environment - rebuild

* Tue Dec 04 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-2.redhat_00002.1
- rebuild need due to missing tag for el6 package

* Tue Dec 04 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-1.redhat_00002.1
- fixed license and readme files issue (build for rh-sso 7.3.0 release)

* Tue Dec 04 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-1.redhat_00002.1
- fixed license file issue (build for rh-sso 7.3.0 release)

* Tue Dec 04 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-1.redhat_00002.1
- fixed source issue [build for rh-sso 7.3.0 release

* Mon Dec 03 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-1.redhat_00002.1
- component for rh-sso 7.3.0 release

* Mon Dec 03 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-1.redhat_00002.1
- component for rh-sso 7.3.0 release

* Mon Dec 03 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-1.redhat_00002.1
- component of rh-sso 7.3.0 release

* Wed Nov 28 2018 Peter Skopek <pskopek@redhat.com> - 20180219.1.0-1.redhat_00002.1
- build for rh-sso 7.3.0

